MCP Tools Reference: developerconnect.googleapis.com

Tool: fetch-repo-pull-request-list

Fetch a list of pull requests from a Git repository.

The following code sample shows how to use curl to call the fetch-repo-pull-request-list MCP tool.

Curl Request
curl --location 'https://developerconnect.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "fetch-repo-pull-request-list",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for FetchGitRepositoryLinkPullRequestList.

FetchGitRepositoryLinkPullRequestListRequest

JSON representation
{
  "name": string,
  "filter": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
name

string

Required. The GitRepositoryLink resource name in the format projects/*/locations/*/connections/*/gitRepositoryLinks/*.

filter

string

Optional. A filter expression that filters the pull requests returned in the response. Only a single equality comparison on state is supported, for example state = "OPEN". Supported values are OPEN, CLOSED, and MERGED. DECLINED is only supported for SCM providers that support declining pull requests, and returns INVALID_ARGUMENT for GitHub, GitHub Enterprise, GitLab, and GitLab Enterprise. Other values or expressions return INVALID_ARGUMENT. Defaults to state = "OPEN" if unspecified.

pageSize

integer

Optional. Number of results to return in the list. Default is 20. Max is 100. A page may contain fewer than page_size results even when more results are available; use next_page_token to check for more pages.

pageToken

string

Optional. A page token, received from a previous FetchGitRepositoryLinkPullRequestList call. Provide this to retrieve the subsequent page.

Output Schema

Response message for FetchGitRepositoryLinkPullRequestList.

FetchGitRepositoryLinkPullRequestListResponse

JSON representation
{
  "pullRequests": [
    {
      object (PullRequest)
    }
  ],
  "nextPageToken": string
}
Fields
pullRequests[]

object (PullRequest)

The list of pull requests.

nextPageToken

string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

PullRequest

JSON representation
{
  "id": string,
  "title": string,
  "body": string,
  "headRef": string,
  "baseRef": string,
  "author": string,
  "createTime": string,
  "updateTime": string,
  "mergeTime": string,
  "closeTime": string,
  "declineTime": string,
  "state": enum (State),
  "mergeability": enum (Mergeability),
  "htmlUrl": string
}
Fields
id

string

Required. The ID of the PR.

title

string

Required. The title of the PR.

body

string

Optional. The body description of the PR.

headRef

string

Required. The source commit SHA of the head branch.

baseRef

string

Required. The target commit SHA of the base branch.

author

string

Output only. The username of the author.

createTime

string (Timestamp format)

Output only. When the PR was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. When the PR was updated.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

mergeTime

string (Timestamp format)

Output only. When the PR was merged.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

closeTime

string (Timestamp format)

Output only. When the PR was closed.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

declineTime

string (Timestamp format)

Output only. When the PR was declined. Only set for SCM providers that support declining pull requests. Never set for GitHub, GitHub Enterprise, GitLab, or GitLab Enterprise, where a pull request closed without being merged is CLOSED.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

state

enum (State)

Output only. The current state of the PR.

mergeability

enum (Mergeability)

Output only. The mergeability state of the pull request.

htmlUrl

string

Output only. The HTML URL of the pull request on the SCM provider.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

State

The state of the PR.

Enums
STATE_UNSPECIFIED Default value.
OPEN The PR is open.
CLOSED The PR is closed.
MERGED The PR is merged.
DECLINED The PR is declined. Only used by SCM providers that support declining pull requests. Never used for GitHub, GitHub Enterprise, GitLab, or GitLab Enterprise, where a pull request closed without being merged is CLOSED.

Mergeability

The mergeability state of a pull request.

Enums
MERGEABILITY_UNSPECIFIED Mergeability state is unspecified.
MERGEABLE The pull request can be merged cleanly without Git conflicts.
CONFLICTING The pull request has merge conflicts and cannot be merged cleanly.
COMPUTING The mergeability state is currently being computed asynchronously by the upstream SCM provider.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌